#include <sys/time.h>
#include <time.h>
#include <string.h>
#include <proto/locale.h>

extern struct Library *LocaleBase;

time_t mktime(struct tm *tm)
{
	return TZMKTime(NULL, tm);
}

struct tm *gmtime_r(const time_t *timep, struct tm *result)
{
	struct tm *rc = TZGMTime(*timep, result);
	if (!rc && result)
	{
		/* a bit ugly, but better than accessing zeropage by buggy apps */
		memset(result, 0, sizeof(*result));
		result->tm_mday = 1;
		rc = result;
	}
	return rc;
}

struct tm *localtime_r(const time_t *timep, struct tm *result)
{
	struct tm *rc = TZLocalTime(NULL, *timep, result);
	if (!rc && result)
	{
		/* a bit ugly, but better than accessing zeropage by buggy apps */
		memset(result, 0, sizeof(*result));
		result->tm_mday = 1;
		rc = result;
	}
	return rc;
}
